<%@ page language="java" contentType="text/html; charset=utf-8" %>
<%@taglib uri="/WEB-INF/taglib.tld" prefix="x" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<html>
<head>
    <x:base include="layout,dialog,grid,tree,combox,commonTree,date"/>
    <x:script src='/biz/topsun/ep/epSaleOrder/epSaleOrderCancelDetail.js'/>
</head>
<body>
<x:billTitle title="销售订单取消/变更" needStatus="false" needPerson="true"/>
<form class="hg-form" method="post" action="" id="submitForm">
    <x:hidden name="id"/>
    <x:hidden name="billCode"/>
    <x:hidden name="fillinDate" type="datetime"/>
    <x:hidden name="fullId"/>
    <x:hidden name="organId"/>
    <x:hidden name="organName"/>
    <x:hidden name="deptId"/>
    <x:hidden name="deptName"/>
    <x:hidden name="positionId"/>
    <x:hidden name="positionName"/>
    <x:hidden name="personMemberId"/>
    <x:hidden name="personMemberName"/>
    <x:hidden name="orderType"/>
    <x:hidden name="orderTypeName"/>
    <x:hidden name="statusId"/>
    <x:hidden name="customerCode"/>
    <div class="hg-form-cols">
        <div class="hg-form-row">
            <x:inputC name="customerName" required="false" label="客户名称" labelCol="1" fieldCol="2"/>
            <x:inputC name="productType" required="false" label="产品类型" labelCol="1" fieldCol="2"/>
        </div>
        <div class="hg-form-row">
            <x:selectC name="isCancel" required="false" label="原订单取消/修改" labelCol="1" dictionary="isCancel" fieldCol="2"/>
        </div>
    </div>
    <div class="blank_div clearfix"></div>
    <div id="maingrid" style="margin: 2px;">
    </div>
    <div class="hg-form-cols">
        <div class="hg-form-row">
            <x:textareaC name="updateContext" required="false" label="修改内容" maxLength="120" rows="3" labelCol="1" fieldCol="11"/>
            <x:textareaC name="consultConclusion" required="false" label="客户协商结论" maxLength="120" rows="1" labelCol="1" fieldCol="11"/>
            <x:textareaC name="reviewConclusion" required="false" label="评审结论" maxLength="120" rows="2" labelCol="1" fieldCol="11"/>
        </div>
    </div>
</form>
</body>
</html>
