<%@ page language="java" contentType="text/html; charset=utf-8" %>
<%@taglib uri="/WEB-INF/taglib.tld" prefix="x" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<html>
<head>
    <x:base include="layout,dialog,grid,tree,combox,commonTree,date,attachment"/>
    <x:script src="/system/excelimport/AssignCodeImp.js"/>
    <x:script src='/biz/topsun/sap/componentSupply/componentSupplyDetail.js'/>
</head>
<body>
<x:billTitle title="组件补充发料" needStatus="false" needPerson="true"/>
<form class="hg-form" method="post" action="" id="submitForm">
    <x:hidden name="id"/>
    <x:hidden name="billCode"/>
    <x:hidden name="statusId"/>
    <x:hidden name="attbizId"/>

    <x:hidden name="fillinDate" type="datetime"/>
    <x:hidden name="fullId"/>
    <x:hidden name="organId"/>
    <x:hidden name="organName"/>
    <x:hidden name="deptId"/>
    <x:hidden name="deptName"/>
    <x:hidden name="positionId"/>
    <x:hidden name="positionName"/>
    <x:hidden name="personMemberId"/>
    <x:hidden name="personMemberName"/>

    <div class="hg-form-cols">
        <div class="hg-form-row">

            <x:hidden name="depart"/>
            <x:inputC name="departName" required="true" label="部门" labelCol="2" fieldCol="2" wrapper="tree"/>
            <x:hidden name="applyPerson"/>
            <x:inputC name="applyPersonName" required="true" label="人员" labelCol="2" fieldCol="2" wrapper="tree"/>
            <x:hidden name="suppliers"/>
            <x:inputC name="suppliersName" required="false" label="供应商" labelCol="2" wrapper="select" fieldCol="2"/>

        </div>
    </div>
    <div class="blank_div clearfix"></div>
    <div id="maingrid" style="margin: 2px;">
    </div>
    <div style="padding-top: 15px;">
        <x:fileList bizCode="componentSupplyInfo" bizId="attbizId" id="componentSupplyInfoList" title="上传附件" />
    </div>
</form>
</body>
</html>
