package com.huigou.topsun.ep.change.domain;

import com.huigou.data.domain.model.AbstractEntity;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Auther: xin.lu
 * @Date: 2024/06/19/11:31
 * @Description: 执行人（版具/模具等）
 */
@Data
@Entity
@Table(name = "ep_change_form_impl_item")
public class EpChangeFormImplItem extends AbstractEntity {
    @Column(name = "ep_change_form_id")
    private String epChangeFormId;
    /**
     * 部门
     */
    @Column(name = "dept_name")
    private String deptName;

    /**
     * 执行人
     */
    @Column(name = "executor")
    private String executor;

    /**
     * 签名确认
     */
    @Column(name = "confirm")
    private String confirm;

    /**
     * 日期
     */
    @Column(name = "date")
    private Date date;
}
