package com.huigou.topsun.ep.change.domain;

import com.huigou.data.domain.model.AbstractEntity;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Auther: xin.lu
 * @Date: 2024/06/19/11:31
 * @Description: 库存
 */
@Data
@Entity
@Table(name = "ep_change_form_stock_item")
public class EpChangeFormStockItem extends AbstractEntity {
    @Column(name = "ep_change_form_id")
    private String epChangeFormId;
    /**
     * 部门
     */
    @Column(name = "dept_name")
    private String deptName;

    /**
     * 专属原材料/半成品/在制品/成品数量(张）
     */
    @Column(name = "desc")
    private String desc;

    /**
     * 确认人
     */
    @Column(name = "confirm")
    private String confirm;

    /**
     * 日期
     */
    @Column(name = "date")
    private Date date;
}
